Package org.apache.sling.resourceresolver.impl.mapping

# Class QueryBuildHelper

java.lang.Object
org.apache.sling.resourceresolver.impl.mapping.QueryBuildHelper

public class QueryBuildHelper extends Object
Utilities related to construction of JCR-SQL2 queries

## Method Summary

Modifier and Type
Method
Description
`static String`
`escapeString(String input)`
Escape string literal for use in JCR-SQL2 query string
`static String`
`excludeSystemPath()`
Generate query condition to exclude JCR system path

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### escapeString

public static String escapeString(String input)
Escape string literal for use in JCR-SQL2 query string

Parameters:
  `input` - literal to escape
Returns:
  escaped literal

### excludeSystemPath

public static String excludeSystemPath()
Generate query condition to exclude JCR system path

Returns:
  query condition